#
# spec file for package SatConfig-installer
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define config_dir     %{_var}/lib/nocpulse/trapReceiver

Name:           SatConfig-installer
Summary:        Satellite Configuration System - command line installer
Url:            https://fedorahosted.org/spacewalk
Source0:        SatConfig-installer-git-6cd34620b67a7b1f0725e2740205a77ed1889105.tar.gz
Version:        3.24.6
Release:        1.3
BuildArch:      noarch
%if 0%{?suse_version}
Requires:       perl = %{perl_version}
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Group:          Applications/System
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       nocpulse-common
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
Requires:       perl-MIME-tools
%endif

%description
SatConfig-installer is the command line mechanism by which Netsaint
configuration files are installed and used by Netsaint on satellite
boxes. The program must be run on the Spacewalk.



%prep
%setup -q -n SatConfig-installer-git-6cd34620b67a7b1f0725e2740205a77ed1889105

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%config_dir

install -m 755 scheduleEvents $RPM_BUILD_ROOT%{_bindir}
install -m 755 validateCurrentStateFiles.pl $RPM_BUILD_ROOT%{_bindir}

# only for update because of a moved home

%post
%if ! 0%{?suse_version}
if [ $1 -eq 2 ]; then
  ls /home/nocpulse/var/trapReceiver/* 2>/dev/null | xargs -I file mv file %config_dir
fi
%endif

%files
%defattr(-,root,root,-)
%attr(755,nocpulse,nocpulse) %dir %config_dir
%{_bindir}/scheduleEvents
%{_bindir}/validateCurrentStateFiles.pl

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 26 2011 mc@suse.de
- Requires: perl-MIME-tools
* Wed Sep 15 2010 mantel@suse.de
- Initial release of SatConfig-installer
